SCSI pass-thru of aacraid RAID1 is inaccessible (Microsemi) (qemu-kvm)

Bug #1762854 reported by bugproxy on 2018-04-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Server Team
qemu (Ubuntu)
Undecided
Ubuntu on IBM Power Systems Bug Triage

Bug Description

---Problem Description---
FW
==

Firmware Revision : 00.36
Firmware Build Time : 20171118
PNOR Build Time : 20171110
CPLD Version : B2.91.00

Test case
======

146351: OP:System Stress_RAID1_Pegas 1.1_ZoemIO-24_KVM
ZoemIO24 = PM8069

For this test case, I created a raid1 in the KVM host using 2 SAS drives which are controlled by the PM8069 onboard sas/sata controller . I rebooted my machine to complete my set up for other test cases which I planned to run them together. I then passed this raid1 to a guest. In the guest, as soon as I su - to htx, these messages appeared on the SOL of the guest

As a side note. There was no error when raid1 was created and after I rebooted this machine

[Tue Dec 19 15:51:08 2017] scsi_io_completion: 496 callbacks suppressed
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 CDB: Read(10) 28 40 00 00 00 00 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: 496 callbacks suppressed
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 0
[Tue Dec 19 15:51:08 2017] buffer_io_error: 418 callbacks suppressed
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 0, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#1 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#1 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#1 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#1 CDB: Read(10) 28 40 00 00 00 10 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 16
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 1, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#2 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#2 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#2 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#2 CDB: Read(10) 28 40 00 00 00 20 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 32
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 2, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#3 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#3 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#3 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#3 CDB: Read(10) 28 40 00 00 00 30 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 48
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 3, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#4 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#4 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#4 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#4 CDB: Read(10) 28 40 00 00 00 40 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 64
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 4, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#5 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#5 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#5 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#5 CDB: Read(10) 28 40 00 00 00 50 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 80
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 5, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#6 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#6 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#6 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#6 CDB: Read(10) 28 40 00 00 00 60 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 96
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 6, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#7 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#7 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#7 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#7 CDB: Read(10) 28 40 00 00 00 70 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 112
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 7, async page read
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 CDB: Read(10) 28 40 00 00 00 00 00 02 00 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 0
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Sense Key : Illegal Request [current]
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 Add. Sense: Invalid field in cdb
[Tue Dec 19 15:51:08 2017] sd 0:0:0:2: [sdb] tag#0 CDB: Read(10) 28 40 00 00 00 00 00 00 10 00
[Tue Dec 19 15:51:08 2017] print_req_error: critical target error, dev sdb, sector 0
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 0, async page read
[Tue Dec 19 15:51:08 2017] Buffer I/O error on dev sdb, logical block 1, async page read
[Tue Dec 19 15:51:08 2017] sdb: unable to read partition table
[Tue Dec 19 15:51:09 2017] sdb: unable to read partition table
[Tue Dec 19 15:51:09 2017] sdb: unable to read partition table
[root@bos1u5p2 ~]#
</cde:init_github_desc>

---uname output---
Ubuntu 18.04

Machine Type = power9

------------

The fix was pushed upstream. Please note that there are now 2 patches instead of one: one from Paolo Bonzini and the one I've sent. We need both.

The patches follows:

https://github.com/qemu/qemu/commit/2343be0d7ee8a6e02c2bf99d0243492085c8d399
https://github.com/qemu/qemu/commit/29e560f00e2bc1b5731c8276031aaf192de55d9d

---------

Thanks,

Daniel

====
Without the previously mentioned patches, the system cannot pass a RAID volume on the primary disk controller to KVM guests.

bugproxy (bugproxy) on 2018-04-10
tags: added: architecture-ppc64le bugnameltc-165721 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → qemu (Ubuntu)
bugproxy (bugproxy) on 2018-04-10
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin---
Frank Heimes (fheimes) on 2018-04-11
Changed in ubuntu-power-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Canonical Server Team (canonical-server)
tags: added: triage-g

Hi,
thank you for the report.

I have backported the fix (had only minimal backport noise) and I think it will be fine.
It is currently building in a ppa [1].

I'll run general regression tests on that at some point (I'm currently modifying the testbeds of those regressions so it might be a day or two to complete them).

Lacking most of the HW needed for this I wanted to ask you to explicitly verify the version in the PPA against your case and report here if it is good.

Once both tests are good we can upload it for Bionic.
It is a pure bug fix, so even if this worst case slips GA it can be converted to be an very early SRU.

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3233/

PPA is now fully built, setting incomplete as we are waiting for IBM to verify the ppa.

Changed in qemu (Ubuntu):
status: New → Incomplete
Changed in ubuntu-power-systems:
status: Triaged → Incomplete

I made a respin of the build in the ppa [2] with that.
Please verify if that suits your needs for:
- this bug 1762854
- other current ppc bug 1763468

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3233

------- Comment From <email address hidden> 2018-04-17 18:08 EDT-------
Christian,

> I made a respin of the build in the ppa [2] with that.
> Please verify if that suits your needs for:
> - this bug 1762854
> - other current ppc bug 1763468
>
> [1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3233

This PPA is a go for this bug (1762854).

Thanks,

Daniel

Thanks for the verify, pushed to Bionic-unapproved

Changed in qemu (Ubuntu):
status: Incomplete → In Progress
Changed in ubuntu-power-systems:
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.11+dfsg-1ubuntu7

---------------
qemu (1:2.11+dfsg-1ubuntu7) bionic; urgency=medium

  * d/p/ubuntu/lp-1762854-*: fix issue with SCSI-2 devices denying Protection
    information (LP: #1762854).
  * d/p/ubuntu/lp-1763468-*: fix VSMT handling to fix ppc64el P8/P9 migration
    (LP: #1763468).

 -- Christian Ehrhardt <email address hidden> Wed, 11 Apr 2018 07:46:18 +0200

Changed in qemu (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-power-systems:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers